Summary: A GSM sound format compressor/decompressor.
Name: gsm
Version: 1.0.10
Release: 3
Copyright: BSD
Group: Applications/Multimedia
Source: ftp://ftp.cs.tu-berlin.de/pub/local/kbs/tubmik/gsm/gsm-%{version}.tar.gz
Patch0: gsm-1.0.10-dyn.patch
Patch1: gsm-wav.patch
BuildRoot: /var/tmp/gsm-root

%description
GSM compresses frames of 160 13-bit samples (8 kHz sampling rate,
i.e., a frame rate of 50 Hz) into 260 bits.  For compatibility with
typical UNIX applications, this implementation converts frames of 160
16-bit linear samples into 33-byte frames (1650 bytes/s).  The
algorithm's quality is good enough for reliable speaker recognition.
Even music often survives transcoding in recognizable form, given the
bandwidth limitations of an 8 kHz sampling rate).

%package devel
Summary: A development library and headers for GSM use
Group: Development/Libraries

%description devel
gsm-devel contains libgsm, a library for use in developing programs
that read GSM files.

%prep
%setup -q -n gsm-1.0-pl10
%patch0 -p1
%patch1 -p1

%build
make CCFLAGS="-c $RPM_OPT_FLAGS -D_REENTRANT -DNeedFunctionPrototypes=1" all

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_bindir},%{_libdir},%{_includedir},%{_mandir}/man{1,3}}

install -m755 bin/* %{buildroot}%{_bindir}
install -m644 lib/*.a %{buildroot}%{_libdir}
install -m644 inc/gsm.h  %{buildroot}%{_includedir}
install -m644 man/*.1 %{buildroot}%{_mandir}/man1
install -m644 man/*.3 %{buildroot}%{_mandir}/man3

# They're identical.
for app in tcat untoast ; do
  if cmp %{buildroot}%{_bindir}/$app %{buildroot}%{_bindir}/toast ; then
     ln -snf toast %{buildroot}%{_bindir}/$app
  fi
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog INSTALL MACHINES MANIFEST README
%{_bindir}/*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_libdir}/libgsm.a
%{_includedir}/gsm.h
%{_mandir}/man3/*


%changelog
* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- fix WAV support (#22726)

* Tue Jan  2 2001 Bill Nottingham <notting@redhat.com>
- add a -devel package

* Tue Jan  2 2001 Tim Powers <timp@redhat.com>
- updated to 1.0.10 to satisfy RFE #22726
- updated source location
- build section and patch taken from Mandrake package

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Fri Jul 21 2000 Tim Powers <timp@redhat.com>
- fixed broken RPM_OPTS line in build section as reported by John Summerfield
  <summer@OS2.ami.com.au>

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 7 2000 Tim Powers <timp@redhat.com>
- fixed man page location to be in %{_mandir}

* Fri May 12 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- gzip manpages

* Tue Jul 15 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed Apr 07 1999 Michael Maher  <mike@redhat.com>
- edited Jeremy Hansen's spec file
